## pachi 1.0

=== debian/changelog ===
pachi (1:1.0-9build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:53:17 +0100

pachi (1:1.0-9) unstable; urgency=low

  * Recompiled against sid.
  * Updated standards version: added strip --strip-unneeded,
    sorted DEBIAN/md5sums, fixed postinst/postrm scripts.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 16 Feb 2019 18:49:05 +0100

pachi (1:1.0-8) unstable; urgency=low

  * Fixed reproducible builds, closes: #787125, thanks to Dhole.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 07 Jun 2015 18:45:33 +0200

pachi (1:1.0-7) unstable; urgency=low

  * Cleaned up Debian patches, closes: #643236.
  * Updated build script.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 28 Dec 2013 19:11:37 +0100

pachi (1:1.0-6) unstable; urgency=low

  * (Partly) fixed dependencies.
  * Updated package to source format 3.0 (quilt).
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 11 Sep 2010 23:53:12 +0200

pachi (1:1.0-5) unstable; urgency=low

  * Updated menu section.
  * Removed linda overrides file.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 14 Jul 2007 16:49:10 +0200

pachi (1:1.0-4) unstable; urgency=low

  * Fixed timestamps.
  * Fixed control file, closes: #432988.
  * Updated debian/rules.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 13 Jul 2007 21:45:05 +0200

pachi (1:1.0-3) unstable; urgency=low

  * Don't let pachi-data depend on pachi, closes: #339901.
  * Updated standards version,
    fixed debian/control, debian/copyright, debian/rules.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 19 Nov 2005 17:41:05 +0100

pachi (1:1.0-2) unstable; urgency=low

  * Make pachi-data depends on pachi, closes: #295128.
  * Fixed POSIX compliance of debian/rules.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 14 Feb 2005 06:02:45 +0100

pachi (1:1.0-1) unstable; urgency=low

  * New upstream release.
  * Minor fixes in debian/rules and debian/menu.

 -- Martin A. Godisch <godisch@debian.org>  Wed, 28 Apr 2004 20:50:14 +0200

pachi (20031005-2) unstable; urgency=low

  * Splitted into binary and data package, closes: #233427.
  * debian/rules cleanup.

 -- Martin A. Godisch <godisch@debian.org>  Wed, 18 Feb 2004 09:09:15 +0100

pachi (20031005-1) unstable; urgency=low

  * New upstream release.
  * Removed versioned build dependency and README file.
  * Updated package description and standards version.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 10 Oct 2003 14:13:36 +0200

pachi (20030420-1) unstable; urgency=low

  * New upstream release, closes: #183610.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 20 Apr 2003 12:51:35 +0200

pachi (20030224-2) unstable; urgency=low

  * Fixed backspace handling when reading the player's name.
  * Recompilation against new sdl-mixer1.2.
  * Tightened build-dependency.
  * Added Linda overrides file.
  * Removed CFLAGS from debian/rules.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 16 Mar 2003 07:35:00 +0100

pachi (20030224-1) unstable; urgency=low

  * Initial release, closes: #177611.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 25 Feb 2003 17:46:22 +0100
