=== debian/control ===
Source: pachi
Section: games
Priority: optional
Maintainer: Martin A. Godisch <godisch@debian.org>
Build-Depends: libsdl-mixer1.2-dev
Standards-Version: 4.3.0
Homepage: http://dragontech.sourceforge.net/

Package: pachi
Architecture: any
Depends: pachi-data (= ${source:Version}), ${shlibs:Depends}
Description: Platform game featuring Pachi el marciano
 Pachi came from Mars and crashlanded in our planet because of an accident
 with his U.F.O.
 .
 Pachi el marciano is a cool 2D platform game inspired by games from the
 80s like Manic Miner, Jet set Willy, and others.

Package: pachi-data
Architecture: all
Recommends: pachi
Conflicts: pachi (<< 20031005-2)
Description: Platform game featuring Pachi el marciano (data files)
 Pachi came from Mars and crashlanded in our planet because of an accident
 with his U.F.O.
 .
 Pachi el marciano is a cool 2D platform game inspired by games from the
 80s like Manic Miner, Jet set Willy, and others.
 .
 This package contains the architecture-independent game data, sound and
 music files.
